# `constant`

`constant` returns the constant value for a given string:

    {{ some_date|date(constant('DATE_W3C')) }}
    {{ constant('Namespace\\Classname::CONSTANT_NAME') }}

You can read constants from object instances as well:

    {{ constant('RSS', date) }}

Use the `defined` test to check if a constant is defined:

    {% if constant('SOME_CONST') is defined %}
        ...
    {% endif %}